summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh20
1 files changed, 8 insertions, 12 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index 5fa716a..7d432af 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -33,17 +33,10 @@ if [ -z "${MVN_NEXUSPROXY}" ]; then
echo "MVN_NEXUSPROXY environment variable not set. Cannot proceed"
exit 1
fi
-if [ -z "$SETTINGS_FILE" ]; then
- echo "SETTINGS_FILE environment variable not set. Cannot proceed"
- exit 2
-fi
+export SETTINGS_FILE=${SETTINGS_FILE:-$HOME/.m2/settings.xml}
set +e
-if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
- "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/releases/scripts/mvn-phase-lib.sh; then
- cp "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh "${PROJECT_ROOT}/mvn-phase-lib.sh"
-fi
-source "${PROJECT_ROOT}"/mvn-phase-lib.sh
+source "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh
# This is the base for where "deploy" will upload
@@ -86,9 +79,12 @@ test)
echo "==> test phase script"
case $MVN_PROJECT_MODULEID in
*)
- set +e
- run_tox_test
- set -e
+ if [ -f tox.ini ]
+ then
+ set -e
+ run_tox_test
+ set +e
+ fi
;;
esac
;;